<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Block edit form class for the block_pluginname plugin.
 *
 * @package   block_pluginname
 * @copyright Year, You Name <your@email.address>
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

class block_auth_managment_meta_edit_form extends block_edit_form {
    protected function specific_definition($mform) {
        // Section header title according to language file.
        $mform->addElement('header', 'config_header', get_string('blocksettings', 'block'));
        // A sample string variable with a default value.
        //crear cursos
        $mform->addElement('url', 'config_course', get_string('courseConfig', 'block_auth_managment_meta'));
        $mform->setDefault('config_course', 'http://tumlab.local:5000/course/request.php');
        $mform->setType('config_course', PARAM_TEXT);

        //inventarios
        $mform->addElement('url', 'config_inventarios', get_string('inventariosConfig', 'block_auth_managment_meta'));
        $mform->setDefault('config_inventarios', 'http://tumlab.local:5000/course/request.php');
        $mform->setType('config_inventarios', PARAM_TEXT);

        //sistema de información
        $mform->addElement('url', 'config_informacion', get_string('informacionConfig', 'block_auth_managment_meta'));
        $mform->setDefault('config_informacion', 'http://tumlab.local:5000/course/request.php');
        $mform->setType('config_informacion', PARAM_TEXT);

        //gestión de usuarios
        $mform->addElement('url', 'config_usuarios', get_string('usuariosConfig', 'block_auth_managment_meta'));
        $mform->setDefault('config_usuarios', 'http://tumlab.local:5000/course/request.php');
        $mform->setType('config_usuarios', PARAM_TEXT);

        //informes
        $mform->addElement('url', 'config_informes', get_string('informesConfig', 'block_auth_managment_meta'));
        $mform->setDefault('config_informes', 'http://tumlab.local:5000/course/request.php');
        $mform->setType('config_informes', PARAM_TEXT);

        //informes
        $mform->addElement('url', 'config_problemas', get_string('problemasConfig', 'block_auth_managment_meta'));
        $mform->setDefault('config_problemas', 'http://tumlab.local:5000/course/request.php');
        $mform->setType('config_problemas', PARAM_TEXT);
    }
}